-- LUALOCALS < ---------------------------------------------------------
local minetest
    = minetest
-- LUALOCALS > ---------------------------------------------------------

local modname = minetest.get_current_modname()

minetest.register_on_mapgen_init(function(mapgen_params)
		mapgen_params.flags = "nocaves,nodungeons"
		minetest.set_mapgen_params(mapgen_params)
		minetest.set_mapgen_setting("mgflat_spflags", "nolakes,nohills", true)
	end)

local dummyname = modname .. ":dummy"
minetest.register_alias("mapgen_stone", dummyname)
minetest.register_alias("mapgen_water_source", dummyname)
minetest.register_alias("mapgen_river_water_source", dummyname)
